Bug 1010081 - [abrt] tracker-0.16.2-2.fc20: file_enumerate_next_cb: Process /usr/libexec/tracker-miner-fs was killed by signal 11 (SIGSEGV)
[abrt] tracker-0.16.2-2.fc20: file_enumerate_next_cb: Process /usr/libexec/tr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
abrt_hash:d433e98508e753e17ffed69403d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 18:05 EDT by Igor Gnatenko
Modified: 2015-02-16 07:36 EST (History)
12 users (show)

See Also:
Fixed In Version: tracker-0.16.4-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-12 05:25:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.24 KB, text/plain)
2013-09-19 18:05 EDT, Igor Gnatenko
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-19 18:05 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (17.37 KB, text/plain)
2013-09-19 18:05 EDT, Igor Gnatenko
no flags Details
File: dso_list (5.12 KB, text/plain)
2013-09-19 18:05 EDT, Igor Gnatenko
no flags Details
File: environ (1.25 KB, text/plain)
2013-09-19 18:05 EDT, Igor Gnatenko
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-19 18:05 EDT, Igor Gnatenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-19 18:05 EDT, Igor Gnatenko
no flags Details
File: maps (36.09 KB, text/plain)
2013-09-19 18:06 EDT, Igor Gnatenko
no flags Details
File: open_fds (1.05 KB, text/plain)
2013-09-19 18:06 EDT, Igor Gnatenko
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-09-19 18:06 EDT, Igor Gnatenko
no flags Details
File: var_log_messages (334 bytes, text/plain)
2013-09-19 18:06 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-09-19 18:05:31 EDT
Description of problem:
Clonned git repo

Version-Release number of selected component:
tracker-0.16.2-2.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: file_enumerate_next_cb
executable:     /usr/libexec/tracker-miner-fs
kernel:         3.11.1-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 file_enumerate_next_cb at tracker-crawler.c:727
 #1 next_async_callback_wrapper at gfileenumerator.c:306
 #2 g_task_return_now at gtask.c:1108
 #3 complete_in_idle_cb at gtask.c:1117

Potential duplicate: bug 990954
Comment 1 Igor Gnatenko 2013-09-19 18:05:35 EDT
Created attachment 800184 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-09-19 18:05:38 EDT
Created attachment 800185 [details]
File: cgroup
Comment 3 Igor Gnatenko 2013-09-19 18:05:42 EDT
Created attachment 800186 [details]
File: core_backtrace
Comment 4 Igor Gnatenko 2013-09-19 18:05:45 EDT
Created attachment 800187 [details]
File: dso_list
Comment 5 Igor Gnatenko 2013-09-19 18:05:49 EDT
Created attachment 800188 [details]
File: environ
Comment 6 Igor Gnatenko 2013-09-19 18:05:53 EDT
Created attachment 800189 [details]
File: exploitable
Comment 7 Igor Gnatenko 2013-09-19 18:05:56 EDT
Created attachment 800190 [details]
File: limits
Comment 8 Igor Gnatenko 2013-09-19 18:06:00 EDT
Created attachment 800191 [details]
File: maps
Comment 9 Igor Gnatenko 2013-09-19 18:06:04 EDT
Created attachment 800192 [details]
File: open_fds
Comment 10 Igor Gnatenko 2013-09-19 18:06:09 EDT
Created attachment 800193 [details]
File: proc_pid_status
Comment 11 Igor Gnatenko 2013-09-19 18:06:12 EDT
Created attachment 800194 [details]
File: var_log_messages
Comment 12 Brian J. Murrell 2014-02-21 10:32:31 EST
I've seen this also.
Comment 13 Yang Lifu 2014-06-10 13:00:39 EDT
Another user experienced a similar problem:

copying something from a portable hard drive to pc via usb 3

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: file_enumerate_next_cb
executable:     /usr/libexec/tracker-miner-fs
kernel:         3.14.5-200.fc20.x86_64
package:        tracker-0.16.4-2.fc20
reason:         tracker-miner-fs killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora Admin XMLRPC Client 2014-07-26 13:12:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2014-07-27 02:34:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 David King 2014-12-12 05:25:34 EST
This should have been fixed in F20 with tracker-0.16.4-4.fc20, and in F21 with tracker-1.2.3-1.fc21.
Comment 17 mydzcr9d 2015-02-16 07:36:33 EST
happened to me again today with tracker-0.16.5-1.fc20.x86_64:

Feb 16 13:24:13 norris kernel: [327908.325527] tracker-miner-f[5598]: segfault at 1 ip 000000329da0d418 sp 00007fff38bc1d80 error 4 in libtracker-miner-0.16.so.0.1600.5[329da00000+33000]
Feb 16 13:24:13 norris kernel: tracker-miner-f[5598]: segfault at 1 ip 000000329da0d418 sp 00007fff38bc1d80 error 4 in libtracker-miner-0.16.so.0.1600.5[329da00000+33000]
Feb 16 13:24:27 norris abrt-hook-ccpp: Saved core dump of pid 5598 (/usr/libexec/tracker-miner-fs) to /var/tmp/abrt/ccpp-2015-02-16-13:24:17-5598 (278495232 bytes)

abrt pointed me to this bug.

Note You need to log in before you can comment on or make changes to this bug.